Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlParseException

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QXmlParseException

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QXmlParseException

extends QtJambiObject
implements java.lang.Cloneable

The `QXmlParseException` class is used to report errors with the `QXmlErrorHandler` interface. The XML subsystem constructs an instance of this class when it detects an error. You can retrieve the place where the error occurred using `systemId()`, `publicId()`, `lineNumber()` and `columnNumber()`, along with the error `message()`. The possible error messages are:

- "no error occurred"
- "error triggered by consumer"
- "unexpected end of file"
- "more than one document type definition"
- "error occurred while parsing element"
- "tag mismatch"
- "error occurred while parsing content"
- "unexpected character"
- "invalid name for processing instruction"
- "version expected while reading the XML declaration"
- "wrong value for standalone declaration"
- "encoding declaration or standalone declaration expected while reading the XML declaration"
- "standalone declaration expected while reading the XML declaration"
- "error occurred while parsing document type definition"
- "letter is expected"
- "error occurred while parsing comment"
- "error occurred while parsing reference"
- "internal general entity reference not allowed in DTD"
- "external parsed general entity reference not allowed in attribute value"
- "external parsed general entity reference not allowed in DTD"
- "unparsed entity reference n wrong context"
- "recursive entities"
- "error in the text declaration of an external entity"

Note that, if you want to display these error messages to your application's users, they will be displayed in English unless they are explicitly translated.

See also:
  `QXmlErrorHandler`, and `QXmlReader`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QXmlParseException()` Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.
`QXmlParseException(java.lang.String name)` Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.
`QXmlParseException(java.lang.String name, int c)` Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.
`QXmlParseException(java.lang.String name, int c, int l)` Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.
`QXmlParseException(java.lang.String name, int c, int l, java.lang.String p)` Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.
`QXmlParseException(java.lang.String name, int c, int l, java.lang.String p, java.lang.String s)` Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.

Method Summary
`QXmlParseException` | `clone()` This method is reimplemented for internal reasons
`int` | `columnNumber()` Returns the column number where the error occurred.
`static QXmlParseException` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QXmlParseException instance pointed to by `nativePointer`.
`int` | `lineNumber()` Returns the line number where the error occurred.
`java.lang.String` | `message()` Returns the error message.
`static QNativePointer` | `nativePointerArray(QXmlParseException[] array)` This function returns a QNativePointer that is pointing to the specified QXmlParseException array.
`java.lang.String` | `publicId()` Returns the public identifier where the error occurred.
`java.lang.String` | `systemId()` Returns the system identifier where the error occurred.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlParseException

    public QXmlParseException(java.lang.String name,
                              int c,
                              int l,
                              java.lang.String p)

  Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.

### QXmlParseException

    public QXmlParseException(java.lang.String name,
                              int c,
                              int l)

  Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.

### QXmlParseException

    public QXmlParseException(java.lang.String name,
                              int c)

  Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.

### QXmlParseException

    public QXmlParseException(java.lang.String name)

  Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.

### QXmlParseException

    public QXmlParseException()

  Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.

### QXmlParseException

    public QXmlParseException(java.lang.String name,
                              int c,
                              int l,
                              java.lang.String p,
                              java.lang.String s)

  Constructs a parse exception with the error string `name` for column `c` and line `l` for the public identifier `p` and the system identifier `s`.

Method Detail

### columnNumber

    public final int columnNumber()

  Returns the column number where the error occurred.

### lineNumber

    public final int lineNumber()

  Returns the line number where the error occurred.

### message

    public final java.lang.String message()

  Returns the error message.

### publicId

    public final java.lang.String publicId()

  Returns the public identifier where the error occurred.

### systemId

    public final java.lang.String systemId()

  Returns the system identifier where the error occurred.

### fromNativePointer

    public static QXmlParseException fromNativePointer(QNativePointer nativePointer)

  This method returns the QXmlParseException instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QXmlParseException[] array)

  This function returns a QNativePointer that is pointing to the specified QXmlParseException array.

### clone

    public QXmlParseException clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD